WinDom: EVNTvar Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# EVNTvar Struct Reference
[Event Library, Event Library]

Parametrization of mt_EvntWindom() calling. More...

`#include <mt_wndm.h>`

## Data Fields
long | timer
| time idle (in msec) between two MU_TIMER events.
int | bclick
| Number of click wished (1, 2 or 3) in MU_BUTTON event.
int | bmask
| Mouse buttons to wait for in MU_BUTTON event.
int | bstate
| Button state to wait for in MU_BUTTON event.
int | m1_flag
| type of mouse motion in MU_M1 event.
int | m1_x
int | m1_y
int | m1_w
int | m1_h
| coordinate of rectangle for MU_M1 event
int | m2_flag
| type of mouse motion in MU_M2 event.
int | m2_x
int | m2_y
int | m2_w
int | m2_h
| coordinate of rectangle for MU_M2 event
INT16 | mx
INT16 | my
| After an event, contain mouse position at screen.
INT16 | mbut
| After an event, contains button state.
INT16 | mkstate
| After a MU_BUTTON event, contains keyboard shift state.
INT16 | keybd
| After a MU_KEYBD event, contains code of key hited.
INT16 | nb_click
| After a MU_BUTTON event, contains the number of clicks occured.

## Detailed Description

Parametrization of mt_EvntWindom() calling.

Instead of giving a complexe parameters to EvntWindom(), as it is done with the AES function evnt_multi(), we have grouped these parameters in a structure variable, then we redefine only needed parameters or use the default/current values.

## Field Documentation

int EVNTvar::bclick

| Number of click wished (1, 2 or 3) in MU_BUTTON event.

int EVNTvar::bmask

| Mouse buttons to wait for in MU_BUTTON event. 0x1 : left button 0x2 : right button 0x4 : middle button

int EVNTvar::bstate

| Button state to wait for in MU_BUTTON event. 0x0 : all buttons released 0x1 : left button depressed 0x2 : right button depressed 0x4 : middle button depressed

INT16 EVNTvar::keybd

| After a MU_KEYBD event, contains code of key hited. the lower eight bit contains the ASCII code, the higher eight bit contains the scancode.

int EVNTvar::m1_flag

| type of mouse motion in MU_M1 event. MO_ENTER (0) : wait for mouse to enter rectangle. MO_LEAVE (1) : wait for mouse to leave rectangle.

int EVNTvar::m1_h

| coordinate of rectangle for MU_M1 event

int EVNTvar::m1_w

int EVNTvar::m1_x

int EVNTvar::m1_y

int EVNTvar::m2_flag

| type of mouse motion in MU_M2 event. MO_ENTER (0) : wait for mouse to enter rectangle. MO_LEAVE (1) : wait for mouse to leave rectangle.

int EVNTvar::m2_h

| coordinate of rectangle for MU_M2 event

int EVNTvar::m2_w

int EVNTvar::m2_x

int EVNTvar::m2_y

INT16 EVNTvar::mbut

| After an event, contains button state. Same value than bstate.

INT16 EVNTvar::mkstate

| After a MU_BUTTON event, contains keyboard shift state. K_RSHIFT (0x01) : right shift depressed, K_LSHIFT (0x02) : left shift depressed, K_CTRL (0x04) : control depressed, K_ALT (0x08) : alternate depressed.

INT16 EVNTvar::mx

INT16 EVNTvar::my

| After an event, contain mouse position at screen.

INT16 EVNTvar::nb_click

| After a MU_BUTTON event, contains the number of clicks occured.

long EVNTvar::timer

| time idle (in msec) between two MU_TIMER events.

The documentation for this struct was generated from the following file:

- mt_wndm.h